Subject: Re: [bug#54457] [PATCH 4/9] gnu: Add libnetfilter-queue

From: Maxime Devos <[email-masked]>
Date: Mon, 21 Mar 2022 21:08:46 +0100

fesoj000 schreef op ma 21-03-2022 om 20:49 [+0100]:
> The upstream name of the library is 'libnetfilter_queue', i used
> '-' for the variable definition because this felt more lispy. But for
> the string i thought it makes more sense to use the upstream name. My
> thought process could be wrong though.

Guix turns #\_ characters into #\- characters as a naming convention.
From (guix)Package Naming:

A package actually has two names associated with it.  [...]

   Both are usually the same and correspond to the lowercase conversion
of the project name chosen upstream, with underscores replaced with
hyphens.  For instance, GNUnet is available as ‘gnunet’, and SDL_net as
‘sdl-net’.